LinuxQuestions.org
LinuxAnswers - the LQ Linux tutorial section.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 06-24-2008, 01:48 AM   #1
jouvert
LQ Newbie
 
Registered: May 2008
Posts: 10

Rep: Reputation: 0
Warning: and Fatal error require_once(../wp-config.php) [function.require-once]


Hello Guys:

I had uploaded wordpress 2.51 to Godaddy for a website. The old version was 2.2 and I replaced it and that went well ( I think cause no wordpress errors?) and now uploading the files foe the website itself and that did not go well in the end:

I saw this error: Not sure what to send to you besides what I saw below if there any more evidence required let me know and it will be sent

So here it is below: I need help on this..and a thank you upfront:
------------------------

Warning: require_once(../wp-config.php) [function.require-once]: failed to open stream: No such file or directory in /home/content/s/p/y/spywaresoldier/html/admin.php on line 5

Fatal error: require_once() [function.require]: Failed opening required '../wp-config.php' (include_path='.:/usr/local/php5/lib/php') in /home/content/s/p/y/spywaresoldier/html/admin.php on line 5
 
Old 06-24-2008, 05:03 AM   #2
bathory
Guru
 
Registered: Jun 2004
Location: Piraeus
Distribution: Slackware
Posts: 10,907

Rep: Reputation: 1326Reputation: 1326Reputation: 1326Reputation: 1326Reputation: 1326Reputation: 1326Reputation: 1326Reputation: 1326Reputation: 1326Reputation: 1326
Did you follow the instructions about upgrading WP?
 
Old 06-24-2008, 02:02 PM   #3
jouvert
LQ Newbie
 
Registered: May 2008
Posts: 10

Original Poster
Rep: Reputation: 0
yes i did

Yes.. I did. You think I should go over it one more time and that this error could be caused by a bad upgrade? All the tables were imported.

Ct
 
Old 06-25-2008, 01:52 AM   #4
bathory
Guru
 
Registered: Jun 2004
Location: Piraeus
Distribution: Slackware
Posts: 10,907

Rep: Reputation: 1326Reputation: 1326Reputation: 1326Reputation: 1326Reputation: 1326Reputation: 1326Reputation: 1326Reputation: 1326Reputation: 1326Reputation: 1326
From what I can understand looking the code in admin.php, it seems that it cannot find wp-config.php. Are you sure you've followed the steps of the upgrade instructions that mention to keep the old wp-config.php in order to overwrite the new one?
Quote:
All the tables were imported.
There is no need to re-import the database even though I don't think it's a database problem.
 
  


Reply

Tags
open, opening, required


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Migrated New Server Error = Warning: session_start() [function.session-start]:....... jim_cliff11 Linux - Server 1 02-16-2007 08:04 AM
Fatal error: Call to undefined function: gzinflate() Beauford-2 Slackware 2 12-07-2006 06:51 PM
Fatal Error - Call to undefined function : pg_pconnect() in filename.php on line xx mwpeng Linux - Newbie 1 02-26-2005 08:57 AM
Fatal error: Call to undefined function: mail() saeed Linux - Software 0 10-07-2003 03:59 AM
LILO Fatal Error on multi-disk config. skubik Linux - Software 12 05-05-2003 06:02 PM


All times are GMT -5. The time now is 06:23 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration